{{! template-lint-disable builtin-component-arguments }}
{{#each this.labeledRadios as |labeledRadio index|}}
  <p class="proposal-paragraph qcu-proposals">
    <PixRadioButton
      id="radio_{{inc index}}"
      name="radio"
      @label={{this.label}}
      @value={{inc index}}
      @isDisabled={{@isAnswerFieldDisabled}}
      checked={{get labeledRadio 1}}
      {{on "click" (fn this.radioClicked index)}}
      data-value="{{inc index}}"
      class="qcu-proposals__radio"
      data-test="challenge-response-proposal-selector"
    />

    <label for="radio_{{inc index}}" class="qcu-proposals__label">
      <MarkdownToHtmlUnsafe @class="qcu-panel__text proposal-text" @markdown={{get labeledRadio 0}} />
    </label>
  </p>
{{/each}}
